アルプスシステムインテグレーション株式会社[ALSI(アルシー)]
キーワード検索
キーワード
製品名
カテゴリ
含まないキーワード
カテゴリ検索
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
よく検索されるキーワード
FAQ
タイトル
[ILP共通] InterSafe ILPの新規インストール・アップデート作業に失敗する
No.5343  日付:2019-09-24 17:00:00

回答

ILPサーバー、InterSafe Clientのインストール・アップデートでエラーが発生した場合、
該当項目に記載の対処方法にて解消するかご確認ください。

1. .NET Framework 4.6.2、Microsoft Visual C++2015」のエラーでアップデートに失敗する場合
  InterSafe Client v6.00.00 以降では、下記 2 つのソフトウェアが必要です。
  ・Microsoft Visual C++ 2015 Update 3 Redistributable Package 
  ・Microsoft .NET Framework 4.6.2

  アップデートを行う前に、上記のソフトウェアが存在しない場合、
  下図のようなメッセージを表示してアップデートに失敗します。

  

  この場合でもアップデート完了画面が表示されますが、
  アップデートは正常に行われておりませんので必要ソフトウェアを導入した後、
  再度アップデートを実施して下さい。

  上記コンポーネントは Client インストーラーに同梱しております。
  ・32bit 版
   (インストールメディア)¥InterSafeClient¥Installer¥x86¥ISSetupPrerequisites
    ⚫vc_redist.x86.exe
    ⚫ NDP462-KB3151800-x86-x64-AllOS-ENU.exe
  ・64bit 版
   (インストールメディア)¥InterSafeClient¥Installer¥x64¥ISSetupPrerequisites
    ⚫ vc_redist.x86.exe
    ⚫ vc_redist.x64.exe
    ⚫ NDP462-KB3151800-x86-x64-AllOS-ENU.exe

2. 「Microsoft Visual C++2015」のインストールに失敗する場合
  0x80070666-別のバージョンの製品が既にインストールされています」のエラーが出力される場合、
  「Microsoft Visual C++2017」のアンインストール後に「Microsoft Visual C++2015」のインストールを
  お試しください。インストール完了後は、「Microsoft Visual C++2017」を再度インストールください。

3. Apacheのインストールに失敗する場合
  以下の画像と同様のエラーが出力される場合、後述の手順をお試しください。

  3-1.Windows updateを実施する。
  3-2.コントロールパネルの[プログラムと機能]に以下がインストールされている場合、
     アンインストールを行う。

     ・Microsoft Visual C++2015 Redistributable(x64)
     ・Microsoft Visual C++2015 Redistributable(x86)

  3-3.アップデートマニュアルの「Apache HTTP Server のインストール」より、
     「Microsoft Visual C++2015」のインストール後にApacheのインストールを実施する。

  

4. データベースのConversionに失敗する場合

  以下の画像と同様のエラーが出力される場合、テーブル情報を正しく読み取れていない可能性が
  あります。以下FAQ「2.データベースのリストア手順」実施することで、テーブルの再作成が行えます
  ので、手順実施後にConversionをお試しください。
  http://alsifaq.dga.jp/faq_detail.html?id=3685&category=

  

対象製品 InterSafe DeviceControl, InterSafe IRM/FP, InterSafe SecureDevice
対象バージョン 6.0以降 対象ビルド  
一般情報
アンケートにご協力ください